| Flutter iOS Embedder |

Public Member Functions | Public Attributes | List of all members
flutter::testing::SemanticsActionObservation Class Reference

`#include <SemanticsObjectTestMocks.h>`

## Public Member Functions
| SemanticsActionObservation (int32_t observed_id, SemanticsAction observed_action)
| SemanticsActionObservation (int32_t observed_id, SemanticsAction observed_action, fml::MallocMapping &args)

## Public Attributes
int32_t | id
SemanticsAction | action
std::vector< uint8_t > | args

## Detailed Description

Definition at line 15 of file SemanticsObjectTestMocks.h.

## Constructor & Destructor Documentation

## ◆ SemanticsActionObservation() [1/2]

flutter::testing::SemanticsActionObservation::SemanticsActionObservation | ( | int32_t | observed_id,
|  | SemanticsAction | observed_action
| ) |  |
| inline

Definition at line 17 of file SemanticsObjectTestMocks.h.

18 : id(observed_id), action(observed_action), args({}) {}

## ◆ SemanticsActionObservation() [2/2]

flutter::testing::SemanticsActionObservation::SemanticsActionObservation | ( | int32_t | observed_id,
|  | SemanticsAction | observed_action,
|  | fml::MallocMapping & | args
| ) |  |
| inline

Definition at line 20 of file SemanticsObjectTestMocks.h.

23 : id(observed_id),
24 action(observed_action),
25 args(args.GetMapping(), args.GetMapping() + args.GetSize()) {}

## Member Data Documentation

## ◆ action

SemanticsAction flutter::testing::SemanticsActionObservation::action

Definition at line 28 of file SemanticsObjectTestMocks.h.

## ◆ args

std::vector<uint8_t> flutter::testing::SemanticsActionObservation::args

Definition at line 29 of file SemanticsObjectTestMocks.h.

## ◆ id

int32_t flutter::testing::SemanticsActionObservation::id

Definition at line 27 of file SemanticsObjectTestMocks.h.

The documentation for this class was generated from the following file:

- shell/platform/darwin/ios/framework/Source/SemanticsObjectTestMocks.h

flutter::testing::SemanticsActionObservation::id
int32_t id
Definition: SemanticsObjectTestMocks.h:27
flutter::testing::SemanticsActionObservation::action
SemanticsAction action
Definition: SemanticsObjectTestMocks.h:28
flutter::testing::SemanticsActionObservation::args
std::vector< uint8_t > args
Definition: SemanticsObjectTestMocks.h:29